=== debian/changelog ===
displaylink-driver (6.1-2) unstable; urgency=medium

  * debian/control: change to Rules-Requires-Root: binary-targets
    (Closes: #1102721)
    Thanks a lot to Santiago Vila for the info.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Apr 2025 19:20:27 +0200

displaylink-driver (6.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Apr 2025 22:20:27 +0200
