=== debian/control ===
Source: displaylink-driver
Section: non-free/x11
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, linux-headers-amd64
	, linux-source
	, libdrm-dev
	, libelf-dev
	, x11-xserver-utils
	, pciutils
	, dkms
	, pkg-config
	, mokutil
	, libusb-1.0-0-dev
Standards-Version: 4.7.2
Homepage: https://www.synaptics.com/products/displaylink-graphics/downloads
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/alteholz/displaylink-driver
Vcs-Git: https://salsa.debian.org/alteholz/displaylink-driver.git

Package: displaylink-driver
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, evdi-dkms, libusb-1.0-0
Description: DisplayLink - The Ultimate Virtual Graphics Card
 DisplayLink software is more than just a graphics driver; it functions
 as a virtual graphics card that works seamlessly with the operating system,
 overcoming the limitations of the host platform and enabling the connection
 of multiple displays. By installing DisplayLink, users can extend their
 screen real estate without the need for additional physical graphics cards,
 allowing for enhanced productivity and multitasking.
 .
 For added security and to ensure the best interoperability, all DisplayLink
 software updates the SoC firmware to guarantee interoperability and ensure
 the very best user experience.
