=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export SYSTEMINITDAEMON=systemd

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	cd displaylink-driver-6.1.0; pwd; ./displaylink-installer.sh
	echo "##########################################################"
	find
